import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSet } from "../Foundation/NSSet.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _WKWebExtensionDataRecord extends _NSObject {
    static alloc(): _WKWebExtensionDataRecord;
    static new(): _WKWebExtensionDataRecord;
    init(): _WKWebExtensionDataRecord;
    /**
     * Retrieves the size in bytes of the specific data types in this data record. The set of data types to measure the size for. The total size of the specified data types. totalSizeInBytes
     */
    sizeInBytesOfTypes$(dataTypes: _NSSet): number;
    /** The display name for the web extension to which this data record belongs. */
    displayName(): _NSString;
    /**
     * Unique identifier for the web extension context to which this data record belongs.
     */
    uniqueIdentifier(): _NSString;
    /** The set of data types contained in this data record. */
    containedDataTypes(): _NSSet;
    /**
     * An array of errors that may have occurred when either calculating or deleting storage.
     */
    errors(): _NSArray;
    /**
     * The total size in bytes of all data types contained in this data record. sizeInBytesOfTypes:
     */
    totalSizeInBytes(): number;
}
